classification
Title: It is not documented that os.writev() suffer from SC_IOV_MAX
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.6, Python 3.5
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: docs@python, orsenthil, python-dev, socketpair
Priority: normal Keywords: patch

Created on 2016-05-14 17:34 by socketpair, last changed 2016-06-18 18:23 by orsenthil. This issue is now closed.

Files
File name Uploaded Description Edit
writev_doc.patch socketpair, 2016-06-18 09:54 Patch for documentation review
Messages (6)
msg265537 - (view) Author: Марк Коренберг (socketpair) * Date: 2016-05-14 17:34
Really, os.writev() suffer from SC_IOV_MAX. This is documented for socket.sendmsg(), but not for os.writev():

The operating system may set a limit (sysconf() value SC_IOV_MAX) on the number of buffers that can be used.
msg268784 - (view) Author: Марк Коренберг (socketpair) * Date: 2016-06-18 09:40
Also it is not documented that os.writev() is not awailable on Windows (!)
Also see issue27346
msg268786 - (view) Author: Марк Коренберг (socketpair) * Date: 2016-06-18 09:45
Oops. It is documented in latest version...
msg268787 - (view) Author: Марк Коренберг (socketpair) * Date: 2016-06-18 09:54
Attached the patch. Please review.
msg268818 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-06-18 18:23
New changeset eddbf14f451b by Senthil Kumaran in branch '3.5':
issue27021 - Document SC_IOV_MAX limitation imposed by OS on os.writev.
https://hg.python.org/cpython/rev/eddbf14f451b

New changeset 0b1cd695e7aa by Senthil Kumaran in branch 'default':
[merge from 3.5] - issue27021 - Document SC_IOV_MAX limitation imposed by OS on os.writev.
https://hg.python.org/cpython/rev/0b1cd695e7aa
msg268819 - (view) Author: Senthil Kumaran (orsenthil) * (Python committer) Date: 2016-06-18 18:23
Марк, it's documented now. Thank you for the patch.
History
Date User Action Args
2016-06-18 18:23:59orsenthilsetstatus: open -> closed

nosy: + orsenthil
messages: + msg268819

resolution: fixed
stage: needs patch -> resolved
2016-06-18 18:23:12python-devsetnosy: + python-dev
messages: + msg268818
2016-06-18 09:54:18socketpairsetfiles: + writev_doc.patch
keywords: + patch
messages: + msg268787
2016-06-18 09:45:10socketpairsetmessages: + msg268786
2016-06-18 09:40:42socketpairsetmessages: + msg268784
2016-05-25 08:46:44martin.pantersetversions: - Python 3.3, Python 3.4
2016-05-23 14:38:29Jim.Jewettsetstage: needs patch
2016-05-14 17:34:06socketpaircreate